# Update administration

Update a administration

Endpoint: PUT /administration
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Request fields (application/json):

  - `nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `uuid` (string, required)

  - `primaryPlatformId` (string, required)

  - `language` (object)
    circular reference

  - `platforms` (array)

  - `name` (string)

  - `primary` (boolean)

  - `transportOrderPrefix` (string)

  - `consignmentPrefix` (string)

  - `business` (object)
    circular reference

  - `currency` (object)

  - `currency.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `currency.uuid` (string, required)

  - `currency.primaryPlatformId` (string, required)

  - `currency.language` (object)
    circular reference

  - `currency.name` (string)

  - `currency.short` (string)

  - `currency.sign` (string)

  - `currency.decimalDelimiter` (string)

  - `currency.thousandDelimiter` (string)

  - `currency.enabled` (boolean)

  - `bankAccounts` (array)

  - `bankAccounts.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `bankAccounts.uuid` (string, required)

  - `bankAccounts.primaryPlatformId` (string, required)

  - `bankAccounts.language` (object)
    circular reference

  - `bankAccounts.accountHolderName` (string)

  - `bankAccounts.accountHolderType` (string)

  - `bankAccounts.bankName` (string)

  - `bankAccounts.routingNumber` (string)

  - `bankAccounts.accountNumber` (string)

  - `bankAccounts.last4` (string)

  - `bankAccounts.currency` (object)

  - `bankAccounts.currency.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `bankAccounts.currency.name` (string)

  - `bankAccounts.currency.short` (string)

  - `bankAccounts.currency.sign` (string)

  - `bankAccounts.currency.decimalDelimiter` (string)

  - `bankAccounts.currency.thousandDelimiter` (string)

  - `bankAccounts.currency.enabled` (boolean)

  - `bankAccounts.country` (string)

  - `bankAccounts.validation` (object)
    circular reference

  - `bankAccounts.validated` (boolean)

  - `bankAccounts.identifiers` (array)

  - `bankAccounts.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `bankAccounts.identifiers.uuid` (string, required)

  - `bankAccounts.identifiers.primaryPlatformId` (string, required)

  - `bankAccounts.identifiers.language` (object)
    circular reference

  - `bankAccounts.identifiers.name` (string)

  - `bankAccounts.identifiers.system` (string)

  - `bankAccounts.identifiers.value` (string)

  - `bankAccounts.identifiers.expiredAt` (string)

  - `numberFormat` (string)

  - `numberLength` (integer)

  - `dueDays` (integer)

  - `invoiceNumberIndex` (object)

  - `quoteNumberIndex` (object)

  - `invoiceSendMessageAutomation` (object)

  - `invoiceSendMessageAutomation.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `invoiceSendMessageAutomation.uuid` (string, required)

  - `invoiceSendMessageAutomation.primaryPlatformId` (string, required)

  - `invoiceSendMessageAutomation.language` (object)
    circular reference

  - `invoiceSendMessageAutomation.type` (string)
    Enum: "messageAutomation", "questionAnswerAutomation", "fileRequestAutomation"

  - `invoiceSendMessageAutomation.name` (string, required)
    The name of a messageAutomation

  - `invoiceSendMessageAutomation.description` (string, required)
    The description of a messageAutomation

  - `invoiceSendMessageAutomation.automationConfig` (object)

  - `invoiceSendMessageAutomation.automationConfig.triggerType` (string)
    Enum: "trigger", "scheduler", "listener"

  - `invoiceSendMessageAutomation.automationConfig.triggerEvent` (string)
    Enum: "afterCreatingTrip", "afterUpdatingTrip", "afterConfirmingTrip", "afterStartingTrip", "afterFinishingTrip", "afterCancelingTrip", "afterLocationUpdateEvent", "afterCreatingMessage", "afterUpdatingMessage", "afterCreatingEvent", "afterStartEngineEvent", "afterStartMovingEvent", "afterStopMovingEvent", "afterStopEngineEvent", "afterCreatingWaitAction", "afterUpdatingWaitAction", "afterCreatingWeighingAction", "afterUpdatingWeighingAction", "afterCreatingUnloadAction", "afterUpdatingUnloadAction", "afterCreatingStopAction", "afterUpdatingStopAction", "afterCreatingMoveAction", "afterUpdatingMoveAction", "afterCreatingLoadAction", "afterUpdatingLoadAction", "afterCreatingDetachTransportEquipmentAction", "afterUpdatingDetachTransportEquipmentAction", "afterCreatingDetachChauffeurAction", "afterUpdatingDetachChauffeurAction", "afterCreatingBreakAction", "afterUpdatingBreakAction", "afterCreatingAttachTransportEquipmentAction", "afterUpdatingAttachTransportEquipmentAction", "afterCreatingAttachChauffeurAction", "afterUpdatingAttachChauffeurAction", "afterActionLifeCycleUpdate", "afterCreatingCapacityContract", "afterUpdatingCapacityContract", "afterCreatingMessageAutomation", "AfterUpdatingMessageAutomation", "afterCreatingTransportOrder", "afterUpdatingTransportOrder", "afterCreatingConsignment", "afterUpdatingConsignment", "afterCreatingBusiness", "afterUpdatingBusiness", "afterCreatingInvoice", "afterSendingInvoice", "afterUpdatingInvoice", "afterCreatingQuote", "afterUpdatingQuote", "afterSendingQuote", "afterCreatingUser", "afterUpdatingUser", "afterCreatingLocation", "afterUpdatingLocation", "afterExceedingStopAverageDuration", "afterHomeBaseReturnOverdue", "afterCreatingBooking", "afterUpdatingBooking", "afterCancellingBooking", "afterConfirmingBooking", "afterCreatingIntegration", "afterUpdatingIntegration", "afterUpdatingCalendarEvent", "afterDeletingCalendarEvent", "afterCreatingTodo", "afterUpdatingTodo", "afterDeletingTodo", "afterAssigningTodo", "afterCalendarSyncRequested", "afterCalendarAuthorizationGranted"

  - `invoiceSendMessageAutomation.automationConfig.schedule` (object)

  - `invoiceSendMessageAutomation.automationConfig.schedule.integrationSchedulerScheduleValue` (integer)

  - `invoiceSendMessageAutomation.automationConfig.schedule.integrationSchedulerScheduleType` (string)
    Enum: "seconds", "minutes", "hours", "days", "months"

  - `invoiceSendMessageAutomation.automationConfig.schedule.milliseconds` (integer)

  - `invoiceSendMessageAutomation.automationConfig.uniqueIdentifierSelector` (string)

  - `invoiceSendMessageAutomation.automationConfig.uniqueIdentifierSchedule` (object)

  - `invoiceSendMessageAutomation.automationConfig.filters` (array)

  - `invoiceSendMessageAutomation.automationConfig.filters.selector` (string)

  - `invoiceSendMessageAutomation.automationConfig.filters.comparisonType` (string)
    Enum: "equal", "not_equal", "greater_than", "greater_or_equal_than", "lesser_than", "lesser_or_equal_than", "between", "in", "not_in", "contains", "starts_with", "ends_with", "is_blank", "is_not_blank"

  - `invoiceSendMessageAutomation.automationConfig.filters.value` (string)

  - `invoiceSendMessageAutomation.automationConfig.filters.linkType` (string)
    Enum: "and", "or"

  - `invoiceSendMessageAutomation.automationConfig.filters.filters` (array)

  - `invoiceSendMessageAutomation.automationConfig.filters.sequenceNr` (integer)

  - `invoiceSendMessageAutomation.automationConfig.filters.valueSelector` (string)

  - `invoiceSendMessageAutomation.automationConfig.query` (object)

  - `invoiceSendMessageAutomation.automationConfig.query.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `invoiceSendMessageAutomation.automationConfig.query.fields` (array)

  - `invoiceSendMessageAutomation.automationConfig.query.fields.name` (string)

  - `invoiceSendMessageAutomation.automationConfig.query.fields.groupByAggregate` (string)
    Enum: "count", "max", "min", "sum", "avg"

  - `invoiceSendMessageAutomation.automationConfig.query.entityType` (string)
    Enum: "action", "attachTransportEquipmentAction", "detachTransportEquipmentAction", "stopAction", "loadAction", "unloadAction", "waitAction", "consignment", "extendedConsignment", "transportEquipment", "extendedTransportEquipment", "items", "goods", "constraint", "actor", "location", "route", "sensor", "vehicle", "extendedVehicle", "trip", "fleet", "transportOrder", "extendedTransportOrder", "business", "event", "locationUpdateEvent", "startMovingEvent", "startWaitingEvent", "stopEngineEvent", "stopMovingEvent", "message", "document", "chauffeur", "extendedChauffeur", "chauffeurTimeslot", "chat", "user", "administration", "fleetVehicle", "messageAutomation", "capacity_contract", "booking", "invoice", "invoice_line", "quote", "quote_line", "integration", "calendarEvent", "to_do"

  - `invoiceSendMessageAutomation.automationConfig.query.joins` (array)

  - `invoiceSendMessageAutomation.automationConfig.query.joins.type` (string)
    Enum: "inner_join"

  - `invoiceSendMessageAutomation.automationConfig.query.joins.entityType` (string)
    Enum: "action", "attachTransportEquipmentAction", "detachTransportEquipmentAction", "stopAction", "loadAction", "unloadAction", "waitAction", "consignment", "extendedConsignment", "transportEquipment", "extendedTransportEquipment", "items", "goods", "constraint", "actor", "location", "route", "sensor", "vehicle", "extendedVehicle", "trip", "fleet", "transportOrder", "extendedTransportOrder", "business", "event", "locationUpdateEvent", "startMovingEvent", "startWaitingEvent", "stopEngineEvent", "stopMovingEvent", "message", "document", "chauffeur", "extendedChauffeur", "chauffeurTimeslot", "chat", "user", "administration", "fleetVehicle", "messageAutomation", "capacity_contract", "booking", "invoice", "invoice_line", "quote", "quote_line", "integration", "calendarEvent", "to_do"

  - `invoiceSendMessageAutomation.automationConfig.query.joins.onLeft` (object)

  - `invoiceSendMessageAutomation.automationConfig.query.joins.onRight` (object)

  - `invoiceSendMessageAutomation.automationConfig.query.filters` (array)

  - `invoiceSendMessageAutomation.automationConfig.query.filters.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `invoiceSendMessageAutomation.automationConfig.query.filters.sequenceNr` (integer)

  - `invoiceSendMessageAutomation.automationConfig.query.filters.field` (string)

  - `invoiceSendMessageAutomation.automationConfig.query.filters.comparisonOperations` (string)
    Enum: "equal", "not_equal", "greater_than", "greater_or_equal_than", "lesser_than", "lesser_or_equal_than", "between", "in", "not_in", "contains", "starts_with", "ends_with", "is_blank", "is_not_blank"

  - `invoiceSendMessageAutomation.automationConfig.query.filters.value` (string)

  - `invoiceSendMessageAutomation.automationConfig.query.filters.valueType` (string)
    Enum: "constant", "string", "integer", "float", "datetime", "duration", "date", "time", "boolean", "object", "array", "filters", "table"

  - `invoiceSendMessageAutomation.automationConfig.query.filters.linkType` (string)
    Enum: "and", "or"

  - `invoiceSendMessageAutomation.automationConfig.query.groupBy` (array)

  - `invoiceSendMessageAutomation.automationConfig.query.having` (object)

  - `invoiceSendMessageAutomation.automationConfig.query.sortFields` (array)

  - `invoiceSendMessageAutomation.automationConfig.query.sortDirection` (string)
    Enum: "asc", "desc"

  - `invoiceSendMessageAutomation.automationConfig.query.limit` (integer)

  - `invoiceSendMessageAutomation.automationConfig.query.offset` (integer)

  - `invoiceSendMessageAutomation.automationConfig.recipients` (array)

  - `invoiceSendMessageAutomation.automationConfig.recipientSelector` (string)

  - `invoiceSendMessageAutomation.automationConfig.toggleForAll` (boolean)

  - `invoiceSendMessageAutomation.automationConfig.channel` (string)
    Enum: "email", "chat", "notification", "whatsapp", "telegram"

  - `invoiceSendMessageAutomation.automationConfig.manualIntegration` (object)
    circular reference

  - `invoiceSendMessageAutomation.automationConfig.includeAttachments` (boolean)

  - `invoiceSendMessageAutomation.automationConfig.documentAttachments` (array)

  - `invoiceSendMessageAutomation.automationConfig.documentAttachments.documentSourceType` (string)
    Enum: "ENTITY_PDF", "CUSTOM_TEMPLATE", "INSIGHT_REPORT", "STATIC_FILE"

  - `invoiceSendMessageAutomation.automationConfig.documentAttachments.documentType` (string)
    Enum: "cmr", "waybill", "invoice", "quote", "transportOrder", "trip", "custom"

  - `invoiceSendMessageAutomation.automationConfig.documentAttachments.documentTemplateId` (string)

  - `invoiceSendMessageAutomation.automationConfig.documentAttachments.fileUrl` (string)

  - `invoiceSendMessageAutomation.automationConfig.documentAttachments.insightType` (string)

  - `invoiceSendMessageAutomation.automationConfig.documentAttachments.reportParameters` (object)

  - `invoiceSendMessageAutomation.automationConfig.documentAttachments.entityIdSelector` (string)

  - `invoiceSendMessageAutomation.automationConfig.documentAttachments.fileNameTemplate` (string)

  - `invoiceSendMessageAutomation.automationConfig.subject` (string)
    The subject of a message for a particular messageAutomation

  - `invoiceSendMessageAutomation.automationConfig.currentTriggerPosition` (integer)

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts` (array)

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.language` (object)

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.language.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.language.name` (string)

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.language.localName` (string)

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.language.code` (string)

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.language.iso3166` (string)

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.language.decimalDelimiter` (string)

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.language.thousandDelimiter` (string)

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.language.dateFormat` (string)

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.language.measurementUnit` (string)
    Enum: "metric", "imperial"

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.content` (string, required)
    The template of a message for a particular messageAutomation

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.messageTemplate` (string, required)
    The template of a message for a particular messageAutomation

  - `invoiceSendMessageAutomation.automationConfig.localizedTexts.subject` (string)

  - `invoiceSendMessageAutomation.automationConfig.defaultLanguageId` (string)

  - `invoiceSendMessageAutomation.automationConfig.languageSelector` (string)

  - `invoiceSendMessageAutomation.automationConfig.userEnableable` (boolean)

  - `invoiceSendMessageAutomation.automationConfig.userPermissionFilters` (array)

  - `invoiceSendMessageAutomation.messageAutomationIntegration` (object)
    circular reference

  - `invoiceSendMessageAutomation.enabled` (boolean)

  - `invoiceSendMessageAutomation.lastHandled` (string)

  - `invoiceSendMessageAutomation.template` (boolean)

  - `invoiceSendMessageAutomation.templateCategory` (string)

  - `automaticallySendReminders` (boolean)

  - `invoiceFirstReminderMessageAutomation` (object)

  - `invoiceSecondReminderMessageAutomation` (object)

  - `invoiceThirdReminderMessageAutomation` (object)

  - `invoicePaidMessageAutomation` (object)

  - `quoteSendMessageAutomation` (object)

  - `invoiceTermsAndConditions` (array)

  - `invoiceTermsAndConditions.language` (object)

  - `invoiceTermsAndConditions.text` (string)

  - `quoteTermsAndConditions` (array)

  - `transportOrderTermsAndConditions` (array)

  - `identifiers` (array)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `administration` (object)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


